/*******************************************************************************
Copyright (c) 1998-2003 by Text Analysis International, Inc.
All rights reserved.  No part of this document may be copied, used, or
modified without written permission from Text Analysis International, Inc.
********************************************************************************
*
* NAME:	UANALYZE.H
* FILE:	\Uanalyze.h
* CR:		12/25/98 AM.
* SUBJ:	Sample functions for analyzing files and directories.
*
*******************************************************************************/

#ifndef UANALYZE_H_
#define UANALYZE_H_

void analyze_path(
	NLP *nlp,
	char *infile,
	char *outfile,
	char *appdir,
	bool tree			// True if analyzing subdirectories recursively.
	);
void analyze_dir(
	NLP *nlp,
	char *infile,		// The path (file, directory, or directory tree).
	char *outfile,
	char *appdir
	);
void analyze_tree(
	NLP *nlp,
	char *infile,		// The path (file, directory, or directory tree).
	char *outfile,
	char *appdir
	);

#endif
