###############################################
# FILE: compo20.pat
# SUBJ: Component-level gathering.
# AUTH: AM
# CREATED: 28/Feb/02 15:16:53
# NOTE:	05/01/02 AM. Moving much of this to compo1, for unified
#	handling.
###############################################

@CODE
G("hello") = 0;
@@CODE

@PATH _ROOT _TEXTZONE _par




# Looking at explicit failures of the alpha.

@POST
  G("tmp") = strtolower(N("$text",3));
  if (N("verb"))
    {
    if (!strendswith(G("tmp"),"ing"))
	  group(1,1,"_vg");
	}
  else
    group(1,1,"_vg");
@RULES
_xNIL <-
	_xWILD [s one match=(_be) except=(_vg)]
	_xWILD [s star match=(_adv _advl)]
	_xALPHA [lookahead]
	@@

@CHECK
  if (!N("verb",2))
  	fail();
#  "dump.txt" << "compo20=" << phrasetext() << "\n";
  if (N("-edn",2) || N("-ed",2) || N("-en",2))
  	succeed();
  if (N("inf",2))
  	fail();
  S("text") = strtolower(N("$text",2));
  if (strendswith(S("text"),"ed"))
  	succeed();
  fail();
@POST
  S("tmp") = N(2);
  group(2,2,"_verb");
  group(2,2,"_vg");
  pncopyvars(S("tmp"),N(2));
@RULES
_xNIL <-
	_noun
	_xALPHA
	@@

# Demands an explicit verb somewhere to the right in all cases.
@POST
  S("requires verb right") = 1;
  single();
@RULES
# _advl <-	# 10/04/02 AM.
_fnword <-	# 10/04/02 AM.
	_prep
	_xWILD [s one match=(which)]
	@@

# not ven
# scale from ven to adj, don't care.
@CHECK
  if (N("adj",2))
    succeed();
  if (!N("verb",2))
    fail();
  S("vconj") = vconj(N(2));
  if (S("vconj") != "-edn"
   && S("vconj") != "-en" )
    fail();
@RULES
_adj <-
	_xWILD [s one match=(not barely hardly never)]
	_xALPHA
	@@

