###############################################
# FILE: final.pat
# SUBJ: A parse tree traversal pass.
# AUTH: AM
# CREATED: 12/3/01
# MODIFIED:
###############################################

@CODE
if (!G("dump nps"))
	exitpass();
			        
# Initialize traversal data.
G("parseRoot") = pnroot();
G("node")  = G("parseRoot");
G("depth") = 0;
G("path")  = 0;	# Stores the current path in the parse tree.

while (G("node"))	# Traverse the parse tree.
  {
  G("path")[G("depth")] = G("node");	# Update path in the parse tree.
  G("childs") = pndown(G("node"));
  G("next") = pnnext(G("node"));
  
  #################################
  # Test for node of interest here.
  G("name") = pnname(G("node"));
#  G("verbose") << G("name") << "\n";
  if (G("name") == "_nps"
   || G("name") == "_np"
   )
     {
	 "nps.txt" << pnvar(G("node"), "$text") << "\n";
	 G("childs") = 0;	# Don't traverse children.
	 }
  #################################

  if (G("childs"))                     # If node has children, traverse them.
     {
	 G("node") = G("childs");
	 ++G("depth");
	 }
  else if (G("next"))                  # If node has right sibling, get it.
	 G("node") = G("next");
  else                                 # Try continuing from a parent.
     {
	 G("done") = 0;
	 G("node") = 0;
	 while (!G("done"))                # Find a continuation or quit.
	    {
		if (--G("depth") > 0)
		   {
		   G("node") = G("path")[G("depth")];	# Move up to parent.
		   if (G("node") = pnnext(G("node")))	# Try to move right.
		     G("done") = 1;
		   }
		else
		   G("done") = 1;
		}
	 }
  }

@@CODE
