###############################################
# FILE: keywords_dom.pat
# SUBJ: Task-specific keyword matching.
# AUTH: AM
# CREATED: 15/Jul/02 10:21:36
# NOTE:	Single-word keywords only.  Multi word have
#	to be handled separately.
#	Could dump/track the precise keywords matched, also.
###############################################

@CODE
if (!G("keyword task"))
  exitpass();

G("hits Category 001") = 0;
G("hits Category 002") = 0;
@@CODE

@NODES _ROOT

@POST
  ++G("hits Category 001");
  N("Category 001") = 1;
  "keywords.txt" << "001: " << N("$text") << "\n";
@RULES
_xNIL <-
	_xWILD [one match=(
acquire
announced
announce
earning
earnings
market
merge
price
purchase
share
stock
		)]
		@@

@POST
  ++G("hits Category 002");
  N("Category 002") = 1;
  "keywords.txt" << "002: " << N("$text") << "\n";
@RULES
_xNIL <-
	_xWILD [one match=(
athlete
ball
base
bases
baseball
bat
double
grand
home
inning
innings
loaded
out
outs
runs
single
slam
sport
strike
strikes
triple
walk
walks
		)]
		@@

