###############################################
# FILE: l_common.pat
# SUBJ: comment here
# AUTH: AM
# CREATED: 14/Apr/02 22:36:29
# MODIFIED:
###############################################

@CODE
if (!G("zoning"))
  exitpass();
@@CODE

@NODES _LINE

#### IRREGULAR VERB FORMS #####
@POST
  N("sem") = "take";
  N("-ed") = 1;
@RULES
_xNIL <- took @@

@POST
  N("sem") = "take";
  N("-en") = 1;
@RULES
_xNIL <- taken @@

@POST
  N("sem") = "go";
  N("-s") = 1;
@RULES
_xNIL <- goes @@

@POST
  N("sem") = "go";
  N("-ed") = 1;
@RULES
_xNIL <- went @@

@POST
  N("sem") = "go";
  N("-en") = 1;
@RULES
_xNIL <- gone @@

@POST
  N("helping verb") = "get";
  N("sem") = "get";
  N("-ed") = 1;
@RULES
_xNIL <- got @@
@POST
  N("helping verb") = "get";
  N("sem") = "get";
  N("-en") = 1;
@RULES
_xNIL <- gotten @@
@POST
  N("helping verb") = "get";
@RULES
_xNIL <- _xWILD [one match=(get gets getting)] @@

@POST
  N("sem") = "make";
  N("-edn") = 1;
@RULES
_xNIL <- made @@

@POST
  N("sem") = "meet";
  N("-edn") = 1;
@RULES
_xNIL <- met @@

@POST
  N("sem") = "bend";
  N("-edn") = 1;
@RULES
_xNIL <- bent @@

@POST
  N("sem") = "fix";
  N("-edn") = 1;
@RULES
_xNIL <- _xWILD [one match=(fixed fixt)] @@

@POST
  N("sem") = "find";
  N("-edn") = 1;
@RULES
_xNIL <- found @@

@POST
  N("sem") = "know";
  N("-ed") = 1;
@RULES
_xNIL <- knew @@
@POST
  N("sem") = "know";
  N("-en") = 1;
@RULES
_xNIL <- known @@

@POST
  N("sem") = "begin";
  N("-ed") = 1;
@RULES
_xNIL <- began @@

@POST
  N("sem") = "begin";
  N("-en") = 1;
@RULES
_xNIL <- begun @@

# SAW -- ambiguous word...
@POST
  N("sem") = "see";
  N("-ed") = 1;
@RULES
_xNIL <- saw @@
@POST
  N("sem") = "see";
  N("-en") = "seen";
@RULES
_xNIL <- seen @@

@POST
  N("sem") = "hear";
  N("-edn") = 1;
@RULES
_xNIL <- heard @@

@POST
  N("sem") = "tell";
  N("-edn") = 1;
@RULES
_xNIL <- told @@

@POST
  N("sem") = "buy";
  N("-edn") = 1;
@RULES
_xNIL <- bought @@

@POST
  N("sem") = "give";
  N("-ed") = 1;
@RULES
_xNIL <- gave @@
@POST
  N("sem") = "give";
  N("-en") = 1;
@RULES
_xNIL <- given @@

@POST
  N("sem") = "hold";
  N("-edn") = 1;
@RULES
_xNIL <- held @@

@POST
  N("sem") = "say";
  N("-edn") = 1;
@RULES
_xNIL <- said @@

#### OTHER STUFF ####

# Nationalities
@POST
  S("sem detail") = strtolower(N("$text"));
  S("sem") = "nationality";
  single();
@RULES
_adjNation [layer=(_adj)] <- _xWILD [s one match=(
African
American
Arab
Argentine
Argentinian
Asian
Australian
Belgian
Brazilian
British
Chinese
Danish
Dutch
English
European
Finnish
French
German
Greek
Hungarian
Indian
Iraqi
Irish
Israeli
Italian
Japanese
Norwegian
Pakistani
Polish
Portuguese
Russian
Saudi
Scots
Scottish
Siberian
Spanish
Swedish
Swiss
Ukrainian
Vietnamese
Welsh
	)] @@

@POST
  S("sem detail") = "usa";
  S("sem") = "country";
  single();
@RULES
_nounCountry [layer=_noun] <-
	united [s]
	_xWHITE [s star]
	states [s]
	_xWHITE [s star]
	of [s opt]
	_xWHITE [s star]
	america [s opt]
	@@

@POST
  S("sem detail") = strtolower(phrasetext());
  S("sem") = "country";
  single();
@RULES
_nounCountry [layer=(_noun)] <-
	Saudi [s]
	_xWHITE [s star]
	Arabia [s]
	@@

#Bosnia-Herzegovina
#City of Vatican
#Vatican City
#Czech Rep.
#El Salvador
#San Marino
#Slovak Rep.
#United Kingdom
#Burkina Fasso
#Cape Verde
#Central Africa Rep.
#Congo Dem. Rep.
#Equatorial Guinea
#Guinea Bissau
#Ivory Coast
#Sao Tome e Principe
#Sierra Leone
#South Africa Rep.
#Costa Rica
#Dominicana, Rep.
#Puerto Rico
#St. Christopher Nevis
#St. Lucia
#St. Vincent & Grenadines
#Trinidad y Tobago
#Bangla Desh
#North Korea
#Saudi Arabia
#South Korea
#Sri Lanka
#United Arab Emirates
#Western Timor
#Fed. St. of Micronesia
#New Zealand
#Papua New Guinea



@POST
  S("sem detail") = strtolower(N("$text"));
  S("sem") = "country";
  single();
@RULES
_nounCountry [layer=(_noun)] <- _xWILD [s one
	except=(_seg _np _nps _noun)
	match=(
Afghanistan
Albania
Algeria
Andorra
Angola
Antigua
Argentina
Armenia
Australia
Austria
Azerbaijan
Bahamas
Bahrain
Barbados
Belarus
Belgium
Belize
Benin
Bhutan
Bolivia
Bosnia
Botswana
Brazil
Britain
Brunei
Bulgaria
Burma
Burundi
Cambodja
Cameroon
Canada
Chad
Chile
China
Colombia
Comoros
Croatia
Cuba
Cyprus
Denmark
Djibouti
Dominica
Ecuador
Egypt
England
Eritrea
Estonia
Ethiopia
Fidji
Finland
France
Gabon
Gambia
Georgia
Germany
Ghana
Greece
Grenada
Guatemala
Guinea
Guyana
Haiti
Holland
Honduras
Hungary
Iceland
India
Indonesia
Iran
Iraq
Ireland
Israel
Italy
Jamaica
Japan
Jordan
Kazajstan
Kenya
Kirgizistan
Kiribati
Kuwait
Laos
Latvia
Lebanon
Lesotho
Liberia
Libya
Liechtestein
Lithuania
Luxembourg
Macedonia
Madagascar
Malawi
Malaysia
Maldives
Mali
Malta
Marshall
Mauritania
Mauritius
Mexico
Moldova
Monaco
Mongolia
Morocco
Mozambique
Namibia
Nauru
Nepal
Netherlands
Nicaragua
Niger
Norway
Oman
Pakistan
Palau
Panama
Paraguay
Peru
Philippines
Poland
Portugal
Qatar
Romania
Russia
Rwanda
Samoa
Scotland
Senegal
Seychelles
Singapore
Slovenia
Solomon
Somalia
Spain
Sudan
Surinam
Swaziland
Sweden
Switzerland
Syria
Taiwan
Tanzania
Tayijistan
Thailand
Togo
Tonga
Tunisia
Turkey
Turkmenistan
Tuvalu
Uganda
Ukraine
Uruguay
USA
Uzbekistan
Vanuatu
Venezuela
Vietnam
Wales
Yemen
Yugoslavia
Zambia

	Africa
	America
	Asia
	Europe
	Oceania
	)] @@

#@RULES	# FIX.  # 02/12/02 AM.
#_moWord [layer=(_noun)] <- _xWILD [s one match=(
#	January February March April May June July August
#	September October November December
#	
#	Jan Feb Mar Apr May June Jul Aug Sep Sept Oct Nov Dec
#	)] @@
#
