###############################################
# FILE: l_comp20.pat
# SUBJ: comment here
# AUTH: AM
# CREATED: 15/Apr/02 16:18:33
# MODIFIED:
###############################################

@CODE
G("hello") = 0;
@@CODE

@NODES _LINE

# Need "real" verb possibility plus agreement.
### MODAL HAVE BE BEING ALPHA
@CHECK
  if (!N("verb",9))
     fail();
  G("tmp") = strtolower(N("$text",9));
  if (suffix(G("tmp"),"s"))
     fail();
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3)
   || N("neg",4) || N("neg",5) || N("neg",6)
   || N("neg",7) || N("neg",8) || N("neg",9))
    S("neg") = 1;
  pncopyvars(9);	# Promote verb's semantics.

  # Get passive voice.
  if (N(5) || N(7))
    G("be") = 1;
  else
    G("be") = 0;
  G("verb") = N(9); # Arg to fn.
  G("passive") = 0; # Clear this.
  setpassive();
  if (G("passive"))
     S("passive") = G("passive"); # Result from fn.
  
  # TODO: Get other modalities.

  single();
@RULES
_vg <-
	_modal [s]
	_xWILD [s star match=(_adv _advl)]
	_have [s opt]
	_xWILD [s star match=(_adv _advl)]
	_be [s opt]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	_xWILD [s star match=(_adv _advl)]
	_xALPHA
	@@

### HAVE BE BEING ALPHA
@CHECK
  if (!N("verb",7))
     fail();
  G("tmp") = strtolower(N("$text",7));
  if (suffix(G("tmp"),"s"))
     fail();
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3)
   || N("neg",4) || N("neg",5) || N("neg",6)
   || N("neg",7))
    S("neg") = 1;
  pncopyvars(7);	# Promote verb's semantics.

  # Get passive voice.
  if (N(3) || N(5))
    G("be") = 1;
  else
    G("be") = 0;
  G("verb") = N(7); # Arg to fn.
  G("passive") = 0; # Clear this.
  setpassive();
  if (G("passive"))
     S("passive") = G("passive"); # Result from fn.
  
  # TODO: Get other modalities.

  single();
@RULES
_vg <-
	_have [s]
	_xWILD [s star match=(_adv _advl)]
	_be [s opt]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	_xWILD [s star match=(_adv _advl)]
	_xALPHA
	@@

### BE BEING ALPHA
@CHECK
  if (!N("verb",5))
     fail();
  G("tmp") = strtolower(N("$text",5));
  if (suffix(G("tmp"),"s"))
     fail();
  if (N("inf",5) || N("-ed",5))
  	fail();
  if (!N("-edn",5) && !strendswith(G("tmp"),"ing")
   && !strendswith(G("tmp"),"ed") )
    fail();
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3)
   || N("neg",4) || N("neg",5))
    S("neg") = 1;
  pncopyvars(5);	# Promote verb's semantics.

  # Get passive voice.
  G("be") = 1;
  G("verb") = N(5); # Arg to fn.
  G("passive") = 0; # Clear this.
  setpassive();
  if (G("passive"))
     S("passive") = G("passive"); # Result from fn.
  
  # TODO: Get other modalities.

  single();
@RULES
_vg <-
	_be [s]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	_xWILD [s star match=(_adv _advl)]
	_xALPHA
	@@

### BEING ALPHA
@CHECK
  if (!N("verb",3))
     fail();
  G("tmp") = strtolower(N("$text",3));
  if (suffix(G("tmp"),"s"))
     fail();
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3))
    S("neg") = 1;
  pncopyvars(3);	# Promote verb's semantics.

  # Get passive voice.
  G("be") = 1;
  G("verb") = N(3); # Arg to fn.
  G("passive") = 0; # Clear this.
  setpassive();
  if (G("passive"))
     S("passive") = G("passive"); # Result from fn.
  
  # TODO: Get other modalities.

  single();
@RULES
_vg <-
	being [s]
	_xWILD [s star match=(_adv _advl)]
	_xALPHA
	@@

#####   VERBLESS   ######

# Need "real" verb possibility plus agreement.
### MODAL HAVE BE BEING ALPHA
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3)
   || N("neg",4) || N("neg",5) || N("neg",6)
   || N("neg",7) )
    S("neg") = 1;
# pncopyvars

  # Get passive voice.
  if (N(5) || N(7))
    G("be") = 1;
  else
    G("be") = 0;
#  G("verb") = N(9); # Arg to fn.
#  G("passive") = 0; # Clear this.
#  setpassive();
#  if (G("passive"))
#     S("passive") = G("passive"); # Result from fn.
  single();
@RULES
_vg <-
	_modal [s]
	_xWILD [s star match=(_adv _advl)]
	_have [s opt]
	_xWILD [s star match=(_adv _advl)]
	_be [s opt]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	@@

### HAVE BE BEING ALPHA
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3)
   || N("neg",4) || N("neg",5) )
    S("neg") = 1;
#  pncopyvars(7);	# Promote verb's semantics.

  # Get passive voice.
  if (N(3) || N(5))
    G("be") = 1;
  else
    G("be") = 0;
  
  # TODO: Get other modalities.

  single();
@RULES
_vg <-
	_have [s]
	_xWILD [s star match=(_adv _advl)]
	_be [s opt]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	@@

### BE BEING
  # NEED AGREEMENT CHECK HERE.
@POST
  # Not counting double-negation.
  if (N("neg",1) || N("neg",2) || N("neg",3) )
    S("neg") = 1;
#  pncopyvars(5);	# Promote verb's semantics.  
  # TODO: Get other modalities.
  single();
@RULES
_vg <-
	_be [s]
	_xWILD [s star match=(_adv _advl)]
	being [s opt]
	@@

##### END VERBLESS ######


# Just for highlighting!!
@POST
  noop();
@RULES
_xNIL <- _xWILD [s one match=(
	_modal _have _be _verb _vg
	)] @@

@CHECK
  if (!N("verb"))
    fail();
@POST
  noop();
@RULES
_xNIL <- _xALPHA @@


@POST
  singler(1,2);
@RULES
_adj <-
	_xALPHA
	_aposS [s]
	_xALPHA [lookahead]
	@@

@CHECK
  if (!N("verb",2))
  	fail();
  S("text") = strtolower(N("$text",2));
  if (!strendswith(S("text"),"ing"))
  	fail();
@POST
  group(2,2,"_verb");
  group(2,2,"_vg");
@RULES
_xNIL <-
	while [s]
	_xALPHA
	@@
