###############################################
# FILE: l_seg30.pat
# SUBJ: Look inside segs.
# AUTH: AM
# CREATED: 17/Apr/02 16:43:29
# MODIFIED:
###############################################

@CODE
G("hello") = 0;
@@CODE

@PATH _ROOT _TEXTZONE _LINE _seg

@POST
  xrename("_vg",4);
  X("id",4) = "l_seg30 01";
@RULES
_xNIL <-
	_xSTART
    _xWILD [s star match=(_adv _advl)]
	_verb
	_xEND
	@@

# "waste accumulated from"...
@POST
  S("txt3") = strtolower(N("$text",3));
  if (N("verb",3) && (strendswith(S("txt3"),"ed")
  		|| N("-edn",3) )
   && N("noun",2) )
    {
	# Mark segment for dissolving.
	group(3,3,"_vg");
	group(2,2,"_np");
	X("dissolve") = 1;	# ZAP this segment.
	}
@RULES
_xNIL <-
	_xSTART
	_xALPHA
	_xALPHA
	_xEND
	@@
