###############################################
# FILE: np_hilite.pat
# SUBJ: For highlighting noun phrases.
# AUTH: AM
# CREATED: 25/Feb/02 15:00:09
# MODIFIED:
###############################################

@CODE
if (!G("debugging"))
   exitpass();
@@CODE

# Note the MULTI mode, looks inside the whole parse tree,
# since starting at the root.
@MULTI _ROOT

# Highlighting these in blue....
@CHECK
  if (N("seg type") != "np")
     fail();
@POST
  if (!N("pro"))
    "np.txt" << phrasetext() << "\n";
  if (N("entity"))
    "entities.txt" << phrasetext() << "\n";
  single();
@RULES
_np <-
	_seg
	@@

@POST
  if (!N("pro"))
    "np.txt" << phrasetext() << "\n";
  if (N("entity"))
    "entities.txt" << phrasetext() << "\n";
  noop();
@RULES
_xNIL <-
	_xWILD [one match=(_np _nps)]
	@@
