###############################################
# FILE: unk_hilite.pat
# SUBJ: Highlight words not in dictionary of English words.
# AUTH: AM
# CREATED: 05/Jun/02 22:35:55
# NOTE:	Proper names and so on may get highlighted, even if
#		analyzer "knows" about them.
###############################################

@CODE
if (!G("debugging"))
   exitpass();
@@CODE

# Note the MULTI mode, looks inside the whole parse tree,
# since starting at the root.
@MULTI _ROOT

@CHECK
  if (!N("unknown"))
    fail();
@POST
  noop();
@RULES
_xNIL <-
	_xALPHA
	@@

# Flagging unresolved segments in blue.
#@CHECK
#  if (!N("alpha"))
#    fail();
@RULES
_segalpha <-
	_seg
	@@
