###############################################
# FILE: zone1.pat
# SUBJ: Miscellaneous zoning criteria.
# AUTH: AM
# CREATED: 18/Mar/02 14:51:37
# MODIFIED:
###############################################

@CODE
if (!G("zoning")
 || !G("plain text"))	# 07/14/02 AM.
	exitpass();
@@CODE

@NODES _ROOT

# Checking on last line before a blank line.
# Line with dash at end is treated as continuable.
@POST
  if (N("end punct",1))
    N("widow",1) = 1;  # Flag that this is possible widow.
  if (N("walpha",1) &&
   (N("end dash",1) || N("end comma",1)) )
    {
    ++G("blank lines useless");
    ++N("blank lines useless",1);
    excise(2,2);
	}
@RULES
_xNIL <-
	_LINE
	_BLANKLINE [plus]
	@@

@POST
 if (N("end punct",1))
   N("widow",1) = 1;
@RULES
_xNIL <-
	_LINE
	_xEOF
	@@

# Check on short widow lines.
@POST
  if (N("blobs") <= 7 && N("end punct"))
    N("widow") = 1;
@RULES
_xNIL <-
	_LINE
	@@

# Short line is treated as a zone, for now.
#@CHECK
#  if (N("nblobs") > 5) # Not too short.
#    fail();
#  if (N("end punct")  # Could be a widow.
#   || N("end dash")   # Conjoin with next line.
#   || N("end comma"))
#    fail();
#@RULES
#_zone [unsealed] <-
#	_LINE
#	@@
#
