###############################################
# FILE: zone17.pat
# SUBJ: Some zone characterization.
# AUTH: AM
# CREATED: 21/Apr/02 22:59:11
# MODIFIED:
###############################################

@CODE
G("hello") = 0;
@@CODE

@NODES _zone _TEXTZONE

@POST
  #######
  ## COMPUTE AVERAGE LINE LENGTH IN ZONE.
  #######

  N("len") =
		N("nalpha") + N("nnum") + N("npunct") + N("nwhite");
  if (N("widow"))
     ;  # Ignore potential widow lines.
  else if (!X("nlines avg"))	# First line in zone.
    {
	X("avg length") = flt(N("len"));
	X("nlines avg") = 1;
	}
  else
    {
	# Compute effect on average length by adding a line and its length.
	X("avg length") = 
X("avg length") * (flt(X("nlines avg")) / flt(1.0 + X("nlines avg")))
		+ flt(N("len")) / flt(1.0 + X("nlines avg"));
	++X("nlines avg");
	}
  ++X("nlines");
  
  ########
  ## COLLECT ZONE INFORMATION.
  ########
  # 05/17/02 AM.
  if (N("widow"))
    ++X("widow");
  if (N("sloppy start"))
    ++X("sloppy start");
  if (N("sloppy end"))
    ++X("sloppy end");
  X("prose words") = X("prose words") + N("prose words");
  # Need += !
  
  if (N("nindent"))
  	++X("nindent lines");

# noop();
@RULES
_xNIL <-
	_LINE
	@@
