###############################################
# FILE: lines.pat                             #
# SUBJ: Gather Lines                          #
# CREATED: 10/Mar/99 13:35:22                 #
# Date of this version: 31/Aug/01             #
# Copyright 2001, Text Analysis International #
###############################################

@CODE
if (!G("zoning")
 || !G("plain text")	# If a formatted doc.	# 07/14/02 AM.
 || G("messy"))	# 03/20/02 AM.
	exitpass();
@@CODE

@PATH _ROOT

@RULES

_BLANKLINE <-
    _xWILD [min=0 max=0 matches=(\ \t \r)] ### (1)
    \n ### (2)
    @@

_RULELINE <-
	_xWHITE [s star]
	_xPUNCT [s plus]
	_xWHITE [s star]
	_xPUNCT [s plus]
	_xWILD [s star match=(_xPUNCT \  \t \r )]
	\n
	@@
	
_RULELINE <-
	_xWHITE [s star]
	_xPUNCT [min=2 max=0]
    _xWILD [min=0 max=0 matches=(\ \t \r)]
    \n
	@@

@RULES
_LINE [unsealed] <-
    _xWILD [min=0 max=0 fails=(\r \n
		_TEXTZONE _LINE _RULELINE _BLANKLINE)] ### (1)
    \n ### (2)
    @@

_LINE [unsealed] <-
    _xWILD [min=0 max=0 fails=(\r \n
		_TEXTZONE _LINE _RULELINE _BLANKLINE)] ### (1)
    _xWILD [opt match=(_xEND)] ### (2)
    @@
