###############################################
# FILE: l_feat.pat
# SUBJ: comment here
# AUTH: AM
# CREATED: 13/Apr/02 22:50:02
# MODIFIED:
###############################################

@CODE
if (!G("zoning"))
  exitpass();
@@CODE

@NODES _LINE

@RULES
# Some non -ed exceptions.
# Some non -ing exceptions.
@POST
  N("inf") = 1;	# Not a verb+ed.
  S("stem") = strtolower(N("$text"));
  noop();
@RULES
_xNIL <- _xWILD [s one match=(
	need heed deed feed reed seed weed
	bleed breed speed
	exceed proceed overseed reseed screed succeed
	bed bobsled embed imbed inbreed outbreed overfeed
	refeed red shed shred sled sned ted wed woodshed
	)] @@

_xNIL <- _xWILD [s one match=(
	bring cling ding fling king outring outsing ping
	respring restring ring sing sling spring sting
	string swing ting unsling unstring upfling
	upspring upswing wing wring zing
	)] @@

# noncount or mass nouns.  Need to build a full listing.
@POST
  N("mass") = 1;
@RULES
_xNIL <- _xWILD [s one match=(
advice
AIDS
air
aluminum
anger
applause
attire
bacon
beauty
beef
beer
behavior
biology
blood
boating
bread
broccoli
butter
cabbage
cake
camping
cancer
candy
cash
cauliflower
caution
celery
cement
cereal
chalk
chaos
cheese
chemistry
chicken
Chinese
chocolate
cloth
clothing
coal
coffee
common
conduct
confidence
copper
corn
cotton
courage
cream
crime
dancing
despair
detergent
dirt
dust
economics
education
electricity
email
employment
engineering
English
entertainment
equipment
experience
fish
flour
fog
food
fruit
fun
furniture
gas
gasoline
glass
gold
grief
hail
hair
happiness
harm
hate
health
heat
help
hepatitis
history
hockey
homework
honesty
honey
hospitality
humidity
hydrogen
ice
information
insurance
intelligence
iron
jewelry
jogging
juice
junk
justice
knowledge
leather
leisure
lemonade
lettuce
leukemia
lightning
linguistics
lotion
love
luggage
machinery
mail
marble
margarine
mathematics
meat
melancholy
merchandise
metal
microbiology
milk
money
mononucleosis
motion
music
nausea
news
nonsense
nylon
oil
optimism
oxygen
paper
pasta
patience
pay
peace
pepper
permission
pessimism
petroleum
photography
plastic
poetry
polio
pollution
polyester
porcelain
poverty
praise
produce
progress
propaganda
property
publicity
rain
reading
remorse
research
rice
rope
running
safety
salt
sand
satisfaction
scenery
science
sense
shampoo
shopping
sickness
silk
silver
skating
skiing
sleet
smog
smoke
smoking
snow
soap
soccer
softness
soil
soup
Spanish
spinach
steam
steel
string
stuff
sugar
sunshine
swimming
thread
thunder
traffic
transportation
trash
truth
unemployment
vinegar
violence
walking
warmth
water
wealth
weather
welfare
wheat
wind
wine
wood
wool
work
yogurt
	)] @@
