###############################################
# FILE: lex_its.pat
# SUBJ: Some morpho-lexical processing
# AUTH: AM
# CREATED: 13/Nov/01 09:48:12
# MODIFIED:
###############################################

@CODE
if (G("zoning"))
  exitpass();
@@CODE

@PATH _ROOT _TEXTZONE _par

# Some cases where the ambiguous "it's" is pro + verb.
# "It's our ...."
@POST
  group(2,3, "_itsverb");
#  group(2,2, "_have");	# Ignore this rarer possibility for now.
  group(2,2, "is");
  group(2,2, "_be");
  group(2,2, "_verb");
  group(1,1, "_proObj");
  group(1,1, "_proSubj");
  group(1,1, "_pro");
@RULES
_xNIL <-
	it [s]
	\' [s]
	s  [s]
	_xWHITE [s star]
	_xWILD [s one lookahead match=(_det _pro)]
	@@

@RULES
# Preposition-like thing.
_otherthan [layer=(_prep)] <-
  other [s]
  _xWHITE [s star]
  than [s]
  @@
