###############################################
# FILE: par.pat
# SUBJ: Group paragraphs
# AUTH: AM
# CREATED: 01/Dec/01 11:33:31
# NOTE:	Assumes paragraphs start with leading blanks.
#	Should be able to group pars in one pass, but using two...
###############################################

@CODE
if (!G("zoning"))
	exitpass();
@@CODE

@PATH _ROOT _TEXTZONE

@CHECK
  if (!N("nindent",1))
  	fail();

  # If most lines indented, then don't use it to flag par.
  if (X("nlines"))
     {
	 S("ratio") = (flt(X("nindent lines")) / flt(X("nlines")) );
	 if (!pnprev(N(1))) # Print for first line only.
	   "zone.txt" << "indented line ratio=" << S("ratio") << "\n";
	 if (S("ratio") > 0.50)
	   fail();
	 }
@POST
  pnrename(N(1),"_PARSTART");
  #noop();
@RULES
_xNIL <-
	_LINE
	@@