###############################################
# FILE: retok100.pat
# SUBJ: comment here
# AUTH: AM
# CREATED: 17/May/02 23:35:31
# MODIFIED:
###############################################

@CODE
G("hello") = 0;
@@CODE

@PATH _ROOT _TEXTZONE _par

@RULES
_num <- 
	_xWILD [s opt match=( \- \+)]
	_xNUM [s] \. [s] _xNUM [s]
	@@

@RULES
_prep <-
	vis [s]
	\- [s]
	a [s]
	\- [s]
	vis [s]
	@@


@POST
  group(1,5,"_adj"); # Default.
@RULES
_xNIL <-
	_xALPHA
	\-
	_xALPHA
	\-
	_xALPHA
	@@

@RULES
_adj <-
	_xALPHA
	\- [s opt]
	_xNUM
	\- [s]
	_xWILD [s one match=(type like)]
	@@

_conj <-
	and [s]
	\/ [s]
	or [s]
	@@

# alpha-alpha
@POST
  if (N("noun",1) && N("noun",3))
  	group(1,3,"_noun");
  else if (N("unknown",1) || N("unknown",3))
  	group(1,3,"_noun");
  else if (N("prep",3))
    group(1,3,"_noun");
  else if (N("adj",1) || N("adj",3))
  	group(1,3,"_adj");
  else if (N("verb",1) || N("verb",3))
    group(1,3,"_adj");
  else # Default
    group(1,3,"_noun");
  # Check for other types, like well-heeled, etc.
@RULES
_xNIL <-
	_xALPHA [s]
	\-
	_xALPHA [s]
	@@

@RULES

_noun <-
	_xALPHA
	\- [s]
	_xNUM
	@@

# Dumb rules, to avoid recursion...
@RULES
_abbrev [layer=(_noun _np)] <-
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	@@
_abbrev [layer=(_noun _np)] <-
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	@@
_abbrev [layer=(_noun _np)] <-
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	@@
_abbrev [layer=(_noun _np)] <-
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	@@
_abbrev [layer=(_noun _np)] <-
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	_xWHITE [s star]
	_xALPHA
	\. [s]
	@@
